/* ============================================
   CURSOR BASE
============================================ */
#custom-cursor {
  width: 40px;
  height: 40px;
  background-color: white;
  border-radius: 50%;
  position: fixed;
  pointer-events: none;
  z-index: 99999999;
  mix-blend-mode: difference;
  transition: transform 0.3s ease, opacity 0.3s ease, background-color 0.3s ease;
  transform: translate(-50%, -50%) scale(0.1);
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

#custom-cursor.active {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1.5);
}

#custom-cursor.is-card {
  mix-blend-mode: normal;
  background-color: black;
  opacity: 1;
  transform: translate(-50%, -50%) scale(1.5);
}

.cursor-icon {
  width: 30%;
  height: 30%;
  filter: brightness(0) invert(1);
  background-image: url("https://bodegafrancoespanolas.jig.es/wp-content/uploads/2026/02/flecha-gama.svg");
  background-size: contain;
  background-repeat: no-repeat;
  opacity: 0;
  transition: opacity 0.2s ease;
}

#custom-cursor.is-card .cursor-icon {
  opacity: 1;
}

body, a, button {
  /*cursor: auto !important;*/
}

/* ============================================
   HINT ICONS (COMPARTIDO)
============================================ */
.card-equipo .dsm-perspective-image-wrapper,
.card-agenda-anterior-teatro .dsm_perspective_image,
.galeria .et_pb_video,
.card-anteriores {
  position: relative;
}

.card-equipo .dsm-perspective-image-wrapper ::after,
.card-agenda-anterior-teatro .dsm_perspective_image::after,
.galeria .et_pb_video::after,
.card-anteriores::after {
  content: "";
  position: absolute;
  top: 16px;
  right: 16px;
  width: 34px;
  height: 34px;
  background-image: url('https://bodegafrancoespanolas.jig.es/wp-content/uploads/2026/03/play-light.svg');
  background-size: 34%;
  background-repeat: no-repeat;
  background-position: center;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  pointer-events: none;
  z-index: 10;
  transition: opacity 0.25s ease, transform 0.25s ease;
}

.card-equipo .dsm-perspective-image-wrapper :hover::after,
.card-agenda-anterior-teatro .dsm_perspective_image:hover::after,
.galeria .et_pb_video:hover::after,
.card-anteriores:hover::after {
  opacity: 0;
  transform: scale(0.7);
}

/* ============================================
   EXCEPCIONES: BOTONES QUE USAN CURSOR NATIVO
============================================ */
.custom-btn-shop, 
.custom-btn, 
.boton-experiencias, 
.custom-btn-light, 
.custom-btn-download, 
.boton_compra {
  cursor: pointer !important;
}

/* Evitar que el cursor personalizado aparezca al hacer hover en estas clases */
.custom-btn-shop:hover ~ #custom-cursor,
.custom-btn:hover ~ #custom-cursor,
.boton-experiencias:hover ~ #custom-cursor,
.custom-btn-light:hover ~ #custom-cursor,
.custom-btn-download:hover ~ #custom-cursor,
.boton_compra:hover ~ #custom-cursor {
  opacity: 0 !important;
  transform: scale(0) !important;
}